'use strict'

const IPFS = require('ipfs')


function App() {
    let node

    create()

    function create() {
        if ('serviceWorker' in navigator) {
            navigator.serviceWorker.register('/fetcher.js')
            .then((registration) => {
                console.log('Registered the service worker successfully')

                // Now that a service worker is registered to intercept URLs, reload the page so
                // this page's URL gets loaded from IPFS by the service worker.
                window.location.reload(false)
            })
            .catch((err) => {
                console.log('Failed to register:', err)
            })
        }
    }
}

module.exports = App

App()
